<!DOCTYPE html>
<html lang="en-us">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content=
  "width=device-width, initial-scale=1">
  <title>psql Tips</title>
  <link rel="stylesheet" href="css/laetitia.css">
  <link rel="stylesheet" href="css/menu.css">
  <link rel="stylesheet" href=
  "https://fonts.googleapis.com/css?family=Raleway">
  <link rel="stylesheet"
  href="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/9.12.0/styles/agate.min.css">
  <script
  src="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/9.12.0/highlight.min.js"></script>
  <script>hljs.highlightAll();</script>
  <script>
    function pickATip()
    {
      const maxTipNumber = 150;
      var chosenOne=Math.floor(Math.random()*(maxTipNumber) + 1); //randomly pick one
      document.location = "psql_tips_" + chosenOne.toString().padStart(3,0) + ".html";
    }
  </script>
</head>
<body class="Site">
  <!-- **** Begin Fork-Me-On-Gitlab-Ribbon-HTML. See MIT License at https://gitlab.com/seanwasere/fork-me-on-gitlab **** -->
  <a href="https://gitlab.com/l_avrot/psql-tips">
      <span style="font-family: tahoma; font-size: 20px; position:fixed; top:50px; right:-45px; display:block; -webkit-transform: rotate(45deg); -moz-transform: rotate(45deg); background-color:#3379b7; color:white; padding: 4px 30px 4px 30px; z-index:99">Fork Me On GitLab</span>
  </a>
  <!-- **** End Fork-Me-On-Gitlab-Ribbon-HTML **** -->
  <menu>
    <label for="trigger">
    <input id="trigger" type="checkbox" />
    <section class="drawer-list">
      <ul>
        <li><a href="#">Home</a></li>
        <li><a href="https://mydbanotebook.org">My DBA Notebook</a></li>
        <li><a href="https://mydbanotebook.org/about/me/">About me</a></li>
      </ul>
    </section>
    <hamburger>
        <i></i>
        <text>
          <close>close</close>
         <open>menu</open>
        </text>
    </hamburger>
    </label>
  </menu>
  <header id="top">
    <h1><code>psql</code> Tips</h1>
  </header>
  <main class="Site-content">
    <h2 class='breath'>Psql Tip #082</h2>
    <div class="tip">
	  <code>\dt</code> will display the list of user created and visible
	  tables. <code>\dt pattern</code> will list
	  tables matching the pattern.
	  The <code>&#43;</code> modifier will also display persistence,
	  size and description.
	  The <code>S</code> modifier will also display the system tables.
      <pre><code class="hljs bash">laetitia=# \dt
                    List of relations
 Schema |      Name       |       Type        |  Owner
--------&#43;-----------------&#43;-------------------&#43;----------
 public | animal          | table             | laetitia
 public | first_partition | table             | laetitia
 public | mytest          | table             | test
 public | partition_test  | partitioned table | laetitia
 public | test            | table             | laetitia
(5 rows)

laetitia=# \dt&#43;
                                                 List of relations
 Schema |      Name       |       Type        |  Owner   | Persistence | Access Method |    Size    |  Description
--------&#43;-----------------&#43;-------------------&#43;----------&#43;-------------&#43;---------------&#43;------------&#43;---------------
 public | animal          | table             | laetitia | permanent   | heap          | 16 kB      |
 public | first_partition | table             | laetitia | permanent   | heap          | 8192 bytes |
 public | mytest          | table             | test     | permanent   | heap          | 0 bytes    |
 public | partition_test  | partitioned table | laetitia | permanent   |               | 0 bytes    |
 public | test            | table             | laetitia | permanent   | heap          | 16 kB      | table comment
(5 rows)

laetitia=# \dtS
                          List of relations
   Schema   |          Name           |       Type        |  Owner
------------&#43;-------------------------&#43;-------------------&#43;----------
 pg_catalog | pg_aggregate            | table             | postgres
 pg_catalog | pg_am                   | table             | postgres
[...]
 public     | partition_test          | partitioned table | laetitia
 public     | test                    | table             | laetitia
(67 rows)</code></pre>This feature is available
since at least Postgres 7.1, but has been upgraded in Postgres 7.2 to add the <code>S</code>
modifier and in Postgres 8.4 to add the <code>&#43;</code> modifier.
	</div>
    <div class="breath">
      See <a href=
      "https://www.postgresql.org/docs/current/app-psql.html">Postgres
      documentation</a> for more information.
    </div><a href="#" class="myButton" onclick=
    "pickATip();">Try a new tip</a><a href="psql_tips_all.html" class="myButton"
    >See them all</a>
  </main>
  <footer>
    <p>Theme inspired by <a href=
    "https://github.com/calintat/minimal">Minimal</a></p>
  </footer>
</body>
</html>

